Bug 202321 - netcat's verbose option does nothing when in listen mode.
netcat's verbose option does nothing when in listen mode.
Product: Fedora
Classification: Fedora
Component: nc (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Radek Vokal
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-08-12 15:23 EDT by Jeremy Impson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.84-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-29 04:48:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
This should do it. (1.26 KB, patch)
2006-08-28 20:18 EDT, Tomas Heinrich
no flags Details | Diff

  None (edit)
Description Jeremy Impson 2006-08-12 15:23:42 EDT
Description of problem:

When in listen mode (-l), the verbose option (-v) has no effect.  I expect to
see connection notification to aid in debugging or for use in shell scripts.

-v works find when using nc in client mode.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. [teminal 1] nc -v -l 11111
2. [terminal 2] telnet localhost 11111
3. [terminal 2] random_string<newline>
Actual results:
[in terminal 1]


Expected results:
[in terminal 1]

Connection from localhost port ???? [tcp/*] accepted

Additional info:

First line of expected results would be on stderr, second line would be on stdout.

netcat version 1.01 has the expected behaviour (format of first line was
different, but same information was printed).

This behaviour is important for scripting and debugging purposes.
Comment 1 Tomas Heinrich 2006-08-28 20:18:09 EDT
Created attachment 135097 [details]
This should do it.
Comment 2 Radek Vokal 2006-08-29 04:48:40 EDT
Thanks for the patch, checked in rawhide.

Note You need to log in before you can comment on or make changes to this bug.